<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFPatriarch (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFPatriarch (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFPatriarch.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatternFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFPatriarch.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFPatriarch" class="title">Class HSSFPatriarch</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFPatriarch</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                 title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                            title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                            title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.ss.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFPatriarch</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
              title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                            title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</pre>
                <div class="block">The patriarch is the toplevel container for shapes in a sheet. It does
                    little other than act as a container for other shapes and groups.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                    <div class="block">add a shape to this drawing</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#clear--">clear</a></span>()</code>
                                    <div class="block">remove all shapes inside patriarch</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#containsChart--">containsChart</a></span>()</code>
                                    <div class="block">Does this HSSFPatriarch contain a chart?
                                        (Technically a reference to a chart, since they
                                        get stored in a different block of records)
                                        FIXME - detect chart in all cases (only seems
                                        to work on some charts so far)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#countOfAllChildren--">countOfAllChildren</a></span>()</code>
                                    <div class="block">Total count of all children and their children's children.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createAnchor-int-int-int-int-int-int-int-int-">createAnchor</a></span>(int&nbsp;dx1,
                                    int&nbsp;dy1,
                                    int&nbsp;dx2,
                                    int&nbsp;dy2,
                                    int&nbsp;col1,
                                    int&nbsp;row1,
                                    int&nbsp;col2,
                                    int&nbsp;row2)</code>
                                    <div class="block">Creates a new client anchor and sets the top-left and
                                        bottom-right
                                        coordinates of the anchor.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFComment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a comment.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFComment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createComment-org.apache.poi.hssf.usermodel.HSSFAnchor-">createComment</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Constructs a cell comment.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createGroup-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">createGroup</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a new group record stored under this patriarch.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                    int&nbsp;storageId,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Adds a new OLE Package Shape</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Creates a picture.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createPicture-org.apache.poi.hssf.usermodel.HSSFClientAnchor-int-">createPicture</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor,
                                    int&nbsp;pictureIndex)</code>
                                    <div class="block">Creates a picture.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createPolygon-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">createPolygon</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a polygon</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createSimpleShape-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">createSimpleShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Creates a simple shape.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#createTextbox-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">createTextbox</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Constructs a textbox under the patriarch.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/EscherAggregate.html"
                                        title="class in org.apache.poi.hssf.record">EscherAggregate</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getBoundAggregate--">getBoundAggregate</a></span>()</code>
                                    <div class="block">Returns the aggregate escher record we're bound to</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getChildren--">getChildren</a></span>()</code>
                                    <div class="block">Returns a unmodifiable list of all shapes contained by the
                                        patriarch.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getX1--">getX1</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getX2--">getX2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getY1--">getY1</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#getY2--">getY2</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#preSerialize--">preSerialize</a></span>()</code>
                                    <div class="block">check if any shapes contain wrong data
                                        At now(13.08.2010) check if patriarch contains 2 or more comments with same
                                        coordinates
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</code>
                                    <div class="block">remove first level shapes</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html#setCoordinates-int-int-int-int-">setCoordinates</a></span>(int&nbsp;x1,
                                    int&nbsp;y1,
                                    int&nbsp;x2,
                                    int&nbsp;y2)</code>
                                    <div class="block">Sets the coordinate space of this group.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="preSerialize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>preSerialize</h4>
                                <pre>protected&nbsp;void&nbsp;preSerialize()</pre>
                                <div class="block">check if any shapes contain wrong data
                                    At now(13.08.2010) check if patriarch contains 2 or more comments with same
                                    coordinates
                                </div>
                            </li>
                        </ul>
                        <a name="removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeShape</h4>
                                <pre>public&nbsp;boolean&nbsp;removeShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">HSSFShapeContainer</a></code></span>
                                </div>
                                <div class="block">remove first level shapes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#removeShape-org.apache.poi.hssf.usermodel.HSSFShape-">removeShape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shape</code> - to be removed</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true of shape is removed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createGroup-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createGroup</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeGroup.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShapeGroup</a>&nbsp;createGroup(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a new group record stored under this patriarch.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created group.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSimpleShape-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSimpleShape</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a>&nbsp;createSimpleShape(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a simple shape. This includes such shapes as lines,
                                    rectangles,
                                    and ovals.

                                    Note: Microsoft Excel seems to sometimes disallow
                                    higher y1 than y2 or higher x1 than x2 in the anchor, you might need to
                                    reverse them and draw shapes vertically or horizontally flipped!
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPicture-org.apache.poi.hssf.usermodel.HSSFClientAnchor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a>&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor,
                                 int&nbsp;pictureIndex)</pre>
                                <div class="block">Creates a picture.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dd><code>pictureIndex</code> - - pointer to the byte array saved inside workbook in
                                        escher bse record
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPicture</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPicture.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFPicture</a>&nbsp;createPicture(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                 int&nbsp;pictureIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">Drawing</a></code></span>
                                </div>
                                <div class="block">Creates a picture.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createPicture-org.apache.poi.ss.usermodel.ClientAnchor-int-">createPicture</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this picture is
                                        attached to the sheet.
                                    </dd>
                                    <dd><code>pictureIndex</code> - the index of the picture in the workbook collection
                                        of pictures.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>newly created shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createObjectData</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFObjectData.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFObjectData</a>&nbsp;createObjectData(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor,
                                       int&nbsp;storageId,
                                       int&nbsp;pictureIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">Drawing</a></code></span>
                                </div>
                                <div class="block">Adds a new OLE Package Shape</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createObjectData-org.apache.poi.ss.usermodel.ClientAnchor-int-int-">createObjectData</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this picture is
                                        attached to the sheet.
                                    </dd>
                                    <dd><code>storageId</code> - the storageId returned by <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Workbook.html#addOlePackage-byte:A-java.lang.String-java.lang.String-java.lang.String-"><code>Workbook.addOlePackage(byte[],
                                        String, String, String)</code></a></dd>
                                    <dd><code>pictureIndex</code> - the index of the picture (used as preview image) in
                                        the
                                        workbook collection of pictures.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>newly created shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createPolygon-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createPolygon</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFPolygon</a>&nbsp;createPolygon(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Creates a polygon</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createTextbox-org.apache.poi.hssf.usermodel.HSSFClientAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTextbox</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a>&nbsp;createTextbox(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Constructs a textbox under the patriarch.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this group is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created textbox.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createComment-org.apache.poi.hssf.usermodel.HSSFAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createComment</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFComment</a>&nbsp;createComment(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Constructs a cell comment.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this comment is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created comment.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCellComment</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFComment</a>&nbsp;createCellComment(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;anchor)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">Drawing</a></code></span>
                                </div>
                                <div class="block">Creates a comment.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createCellComment-org.apache.poi.ss.usermodel.ClientAnchor-">createCellComment</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the client anchor describes how this comment is attached
                                        to the sheet.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created comment.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChildren--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChildren</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;&nbsp;getChildren()</pre>
                                <div class="block">Returns a unmodifiable list of all shapes contained by the
                                    patriarch.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getChildren--">getChildren</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Any children contained by this shape.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addShape-org.apache.poi.hssf.usermodel.HSSFShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addShape</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;addShape(<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                  title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;shape)</pre>
                                <div class="block">add a shape to this drawing</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#addShape-org.apache.poi.hssf.usermodel.HSSFShape-">addShape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="countOfAllChildren--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>countOfAllChildren</h4>
                                <pre>public&nbsp;int&nbsp;countOfAllChildren()</pre>
                                <div class="block">Total count of all children and their children's children.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>count of shapes including shapes inside shape groups</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCoordinates-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCoordinates</h4>
                                <pre>public&nbsp;void&nbsp;setCoordinates(int&nbsp;x1,
                           int&nbsp;y1,
                           int&nbsp;x2,
                           int&nbsp;y2)</pre>
                                <div class="block">Sets the coordinate space of this group. All children are constrained
                                    to these coordinates.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#setCoordinates-int-int-int-int-">setCoordinates</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clear--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clear</h4>
                                <pre>public&nbsp;void&nbsp;clear()</pre>
                                <div class="block">remove all shapes inside patriarch</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#clear--">clear</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsChart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsChart</h4>
                                <pre>public&nbsp;boolean&nbsp;containsChart()</pre>
                                <div class="block">Does this HSSFPatriarch contain a chart?
                                    (Technically a reference to a chart, since they
                                    get stored in a different block of records)
                                    FIXME - detect chart in all cases (only seems
                                    to work on some charts so far)
                                </div>
                            </li>
                        </ul>
                        <a name="getX1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX1</h4>
                                <pre>public&nbsp;int&nbsp;getX1()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getX1--">getX1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>x coordinate of the left up corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getY1--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY1</h4>
                                <pre>public&nbsp;int&nbsp;getY1()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getY1--">getY1</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>y coordinate of the left up corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getX2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX2</h4>
                                <pre>public&nbsp;int&nbsp;getX2()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getX2--">getX2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>x coordinate of the right down corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getY2--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY2</h4>
                                <pre>public&nbsp;int&nbsp;getY2()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html#getY2--">getY2</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeContainer.html"
                                                title="interface in org.apache.poi.hssf.usermodel">HSSFShapeContainer</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>y coordinate of the right down corner</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBoundAggregate--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBoundAggregate</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;<a href="../../../../../org/apache/poi/hssf/record/EscherAggregate.html"
               title="class in org.apache.poi.hssf.record">EscherAggregate</a>&nbsp;getBoundAggregate()</pre>
                                <div class="block">Returns the aggregate escher record we're bound to</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- low level representation of sheet drawing data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createAnchor-int-int-int-int-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createAnchor</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFClientAnchor.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFClientAnchor</a>&nbsp;createAnchor(int&nbsp;dx1,
                                     int&nbsp;dy1,
                                     int&nbsp;dx2,
                                     int&nbsp;dy2,
                                     int&nbsp;col1,
                                     int&nbsp;row1,
                                     int&nbsp;col2,
                                     int&nbsp;row2)</pre>
                                <div class="block">Creates a new client anchor and sets the top-left and bottom-right
                                    coordinates of the anchor.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Drawing.html#createAnchor-int-int-int-int-int-int-int-int-">createAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                                title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;<a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dx1</code> - the x coordinate in EMU within the first cell.</dd>
                                    <dd><code>dy1</code> - the y coordinate in EMU within the first cell.</dd>
                                    <dd><code>dx2</code> - the x coordinate in EMU within the second cell.</dd>
                                    <dd><code>dy2</code> - the y coordinate in EMU within the second cell.</dd>
                                    <dd><code>col1</code> - the column (0 based) of the first cell.</dd>
                                    <dd><code>row1</code> - the row (0 based) of the first cell.</dd>
                                    <dd><code>col2</code> - the column (0 based) of the second cell.</dd>
                                    <dd><code>row2</code> - the row (0 based) of the second cell.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created client anchor</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&gt;</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;getSheet()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFPatriarch.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatternFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFPatriarch.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
